# TextContent - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.content / TextContent

# TextContent

(common) `data class TextContent : MessageContent` (source)

### Constructors

(common)

#### <init>

`TextContent(text: String, entities: List<TextPart> = emptyList())`

### Properties

(common)

#### entities

Not full list of entities. This list WILL NOT contain TextParts with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`val entities: List<TextPart>`

(common)

#### text

`val text: String`

### Functions

(common)

#### createResend

`fun createResend(chatId: ChatIdentifier, disableNotification: Boolean, replyToMessageId: MessageIdentifier?, replyMarkup: KeyboardMarkup?): Request<ContentMessage<TextContent>>`

(common)

#### createResends

`fun createResends(chatId: ChatIdentifier, disableNotification: Boolean, replyToMessageId: MessageIdentifier?, replyMarkup: KeyboardMarkup?): List<Request<ContentMessage<TextContent>>>`
`fun createResends(chatId: ChatIdentifier, disableNotification: Boolean, replyToMessageId: MessageIdentifier?, replyMarkup: KeyboardMarkup?, parseMode: ParseMode = HTMLParseMode): List<Request<ContentMessage<TextContent>>>`

### Extension Functions

(common)

#### fullEntitiesList

Convert its TextContent.entities to list of com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts.TextSource with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`fun TextContent.fullEntitiesList(): FullTextSourcesList`

(common)

#### toHtmlTexts

`fun TextContent.toHtmlTexts(): List<String>`

(common)

#### toMarkdownTexts

`fun TextContent.toMarkdownTexts(): List<String>`

(common)

#### toMarkdownV2Texts

`fun TextContent.toMarkdownV2Texts(): List<String>`